<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class SurveyTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('survey.title')
            ->translateLabel()
            ->searchable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
